# Simple Detokenization

### Simple Detokenization <a href="#toc135036448" id="toc135036448"></a>

You can detokenize any token generated by Firstoken. The detokenization process receives an array of tokens and returns the information associated with each token.

{% tabs %}
{% tab title="cUrl" %}
**POST /v1/detokenization/simple**

```
curl -X POST https://api.firstoken.co/v1/detokenization/simple
-H 'x-api-key: YOUR_API_KEY'
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Attributes of the request" %}
**tokens** *\[string]*

> Required true
>
> Example: \["4242424242424242", "5555557838444444"]
>
> An array of tokens.
> {% endtab %}

{% tab title="Attributes of the response" %}
**status\_code:** *int*

> The status code represents the result of the operation that was performed. For successful transactions a code 200 is always returned for the others another code is returned.

**status:** *string*

> The status is a string result that only has two possible values. "Success" or "Fail".

**desc**: *string*

> The desc value represents a short description about the status code.

**data**: *{object}*

> The value of the data represents a set of JSON objects of tokenized credit cards. Each object has the following attributes:
>
> * **cards:** *\[{object}]*\
>   The wrapper object of detokenized tokens.
>   * **card**: *int*
>
>     The credit card number..
>   * **name**: *string*
>
>     The cardholder name.
>   * **exp**: *string*
>
>     The expiration date of the credit card.
>   * **token**: *string*
>
>     The token associated to the credit card.
>   * **status**: *int*
>
>     Value 1 if it was possible to detokenized the token. Value 0 if it was not possible to detokenized the token.
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example JSON Request Body</summary>

```jsonp
{
    "tokens": ["4242428805134242", "5555557860534444"]
}
```

</details>

<details>

<summary>Example JSON Response</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "cards": [
            {
                "card": "4242424242424242",
                "name": "Steve Jobs",
                "exp": "01/27",
                "token": "4242422935084242",
                "status": 1
            },
            {
                "card": "5555555555554444",
                "name": "Bill Gates",
                "exp": "10/28",
                "token": "5555557860534444",
                "status": 1
            }
        ]
    }
}
```

</details>
